# FERIT - Advanced Web Programming - Project

### Todo

- [ ] User's Profile
    - [ ] Update `users` (`name`, `description`)
    - [ ] File page
        - [ ] Link to user page
    - [ ] Profile page
        - [ ] Can edit name and description
    - [ ] User page
        - [ ] Display all files uploaded by the user
        - [ ] Display user's name and description

- [ ] Comments
    - [ ] Migration of tables
        - [ ] Update `files` (`comments_xml`)
    - [ ] File page
        - [ ] Retrive comments from xml file
        - [ ] Can comment in a xml file
        - [ ] User can edit/delete their own comments

- [ ] Style
    - [ ] Root Page
        - [ ] Buttons Login and Register
    - [ ] Navbar
        - [ ] Logo
    
- [ ] Multi language
    - [ ] English
    - [ ] French
    - [ ] Croatian
    - [ ] Select Language on root page
    - [ ] Select Language on navbar

- [ ] Backup for the db
    - [ ] Create a script that backup the DB
    - [ ] Save the backup in a .txt file
    - [ ] Print correct data in the file
    - [ ] ZIP the .txt file
    - [ ] Task scheduling each hour

--- If time ---

- [ ] Following
    - [ ] Migration of tables
            - [ ] Create relations between tables (a user can follow many user) 
    - [ ] User page
        - [ ] Can follow a user
        - [ ] Display all users followed by the user

- [ ] Notifications
- [ ] Pictures profile and files
- [ ] Folders
- [ ] Search option
- [ ] Filters
- [ ] Appareance (Dark/Light)


### In progress
- [ ] Download files
    - [x] Migration of tables
        - [x] Update `files` (`nb_download`)
        - [x] Create relations between tables (a user can download many files) 
    - [x] File page
        - [x] Download the file
        - [x] Decrypt the file when download
    - [ ] Profile page
        - [ ] Download history
        
### Done

- [x] New Laravel name `youfiles`
- [x] Login and register
- [x] Import file
    - [x] Migration of tables
        - [x] Create `files` (`id`, `name`, `description`, `link`,  `Upload_date`)
        - [x] Create relations between tables (a file has one owner)
    - [x] Upload page 
        - [x] Enter name and description
        - [x] Upload a file 
        - [x] Encrypt the file that will be uploaded
        - [x] Add in db
- [x] Show files
    - [x] Home Page
        - [x] Display all encrypted files
        - [x] Link to file pages
    - [x] File page
        - [x] Display file's infos
- [x] Edit the files
    - [x] File page
        - [x] Button to edit page if owner
    - [x] Edit page
        - [x] Can change file, name and description
- [x] Delete the files
    - [x] File page
        - [x] Button to delete page if owner
    - [x] The file is deleted

    