<x-app-layout>
    <!-- The form for posting a file -->
    <div class="max-w-2xl mx-auto p-4 sm:p-6 lg:p-8 ">
        <form method="POST" action="{{ route('files.store') }}" enctype="multipart/form-data">
            @csrf
            <div class="p-6 space-x-2 mt-6 bg-white shadow-sm rounded-lg divide-y">
                <!-- Name -->
                <label for="myfile" class="text-gray-800 font-semibold">{{ __('File\'s name:') }}</label><br>
                <input type="text" name="name" placeholder="{{ __('Name of the file') }}" class="block w-full border-gray-500 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm mt-2 bg-gray-300" value="{{ old('name') }}" />
                <x-input-error :messages="$errors->get('name')" class="mt-2" />
            </div>
            <div class="mt-8 p-6 space-x-2 mt-6 bg-white shadow-sm rounded-lg divide-y">
                <!-- Upload a file -->
                <label for="myfile" class="text-gray-800 font-semibold">{{ __('Select a file:') }}</label><br>
                <input type="file" name="file" class="mt-2"><br>
                <x-input-error :messages="$errors->get('file')" class="mt-2" />
            </div>
            <div class="mt-8  p-6 space-x-2 mt-6 bg-white shadow-sm rounded-lg divide-y">
                <!-- Description -->
                <label for="myfile" class="text-gray-800 font-semibold">{{ __('File\'s description:') }}</label><br>
                <textarea name="description" placeholder="{{ __('Description of the file') }}" class="block w-full border-gray-500 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm mt-2 bg-gray-300">{{ old('description') }}</textarea>
                <x-input-error :messages="$errors->get('description')" class="mt-2" />
            </div>
            <div class="mt-8">
                <!-- Create button -->
                <x-primary-button>{{ __('Create') }}</x-primary-button>
            </div>

        </form>
    </div>
</x-app-layout>