<x-app-layout>
    <div class="max-w-2xl mx-auto p-4 sm:p-6 lg:p-8">
        <div class="flex">
            <!-- Download Button -->
            <div class="px-10">
                <form method="GET" action="{{ route('files.download_form', $file->id) }}">
                    @csrf
                    <x-primary-button class="mt-4">{{ __('Download the file') }}</x-primary-button>
                </form>
            </div>
            @if (Auth::user()->id == $file->creator->id)
            <!-- Edit Button -->
            <div class="px-10">
                <form method="GET" action="{{ route('files.edit', $file) }}">
                    @csrf
                    <x-primary-button class="mt-4">{{ __('Edit the file') }}</x-primary-button>
                </form>
            </div>
            <!-- Delete Button -->
            <div class="px-10">
                <form method="POST" action="{{ route('files.destroy', $file) }}">
                    @csrf
                    @method('delete')
                    <a :href="route('files.destroy', $file)" onclick="event.preventDefault(); this.closest('form').submit();">
                        <x-danger-button class="mt-4">{{ __('Delete the file') }}</x-danger-button>
                        <x-input-error :messages="$errors->get('file')" class="mt-2" />
                    </a>
                </form>
            </div>
            @endif
        </div>
        <div class="mt-6 bg-white shadow-sm rounded-lg divide-y">
            <div class="p-6 flex space-x-2">
                <div class="flex-1">
                    <div class="justify-between items-center">
                        <div>
                            <p class="text-gray-800 font-semibold">{{ $file->name }}</p>
                            <p class="ml-2 text-gray-800">{{ $file->creator->name }}</p>
                            <div class="mt-6 bg-gray-100 shadow-sm rounded-lg">
                                <div class="p-6 space-x-2">
                                    <p class="text-gray-800 font-semibold">{{ $file->created_at->format('j M Y, g:i a') }}</p>
                                    <p class="text-gray-800">{{ $file->description }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
</x-app-layout>